#!/usr/bin/bash --noprofile 
# Why bash: because the source code is free and portable
# http://www.sunfreeware.com
#
set -x

VHDL_TEST="ctype_h_test"
VHDL_LIB_DEFAULT="C"

if [   -z "${VHDL_LIB}" ]; then VHDL_LIB="${VHDL_LIB_DEFAULT}"; fi
if [ ! -f "${VHDL_LIB}/_info" ]; then vlib ${VHDL_LIB}; fi

vcom -93 -work ${VHDL_LIB} ./source/ctype_h.vhd
  if [ $? != 0 ]; then exit $?; fi
vcom -93 -work ${VHDL_LIB} ${VHDL_TEST}.vhd
  if [ $? != 0 ]; then exit $?; fi

echo -ne "run\nquit\n" >vrun_temp_cmd.txt

vsim -do vrun_temp_cmd.txt -l ${VHDL_TEST}_vsim.txt ${VHDL_TEST}_cfg

rm vrun_temp_cmd.txt

vi ${VHDL_TEST}.txt

