#!/usr/bin/bash --noprofile 
# Why bash: because the source code is free and portable
# http://www.sunfreeware.com
#
set -x
VHDL_TEST="stdlib_h_test"
VHDL_LIB_DEFAULT="C"

if [   -z "${VHDL_LIB}" ]; then VHDL_LIB="${VHDL_LIB_DEFAULT}"; fi
if [ ! -d "${VHDL_LIB}" ]; then mkdir ${VHDL_LIB}; fi
if [ ! -d "WORK" ];	   then mkdir WORK; fi

vhdlan -NOEVENT -work ${VHDL_LIB} ../source/ctype_h.vhd
  if [ $? != 0 ]; then exit $?; fi
vhdlan -NOEVENT -work ${VHDL_LIB} ../source/stdlib_h.vhd
  if [ $? != 0 ]; then exit $?; fi
vhdlan -NOEVENT ${VHDL_TEST}.vhd
  if [ $? != 0 ]; then exit $?; fi

echo -ne "run\nquit\n" >vrun_temp_cmd.txt

vhdlsim -i vrun_temp_cmd.txt -o ${VHDL_TEST}.txt ${VHDL_TEST}_cfg

rm -fr WORK C vrun_temp_cmd.txt

diff ${VHDL_TEST}.txt ${VHDL_TEST}_vss.txt

#vi ${VHDL_TEST}.txt

